org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnMethod
  - - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod

All Implemented Interfaces:
  CircuitBreakerLifecycleService

    @Dependent
     @Typed(value=DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod.class)
    public class DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod
    extends BaseCircuitBreakerOnMethod

### Constructor Summary

Constructors
Constructor and Description
`DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `service()`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnMethod

`instanceId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod

    public DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod()

### Method Detail

#### service

    public void service()
                 throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Overrides:
  `service` in class `BaseCircuitBreakerOnMethod`
Throws:
  `IOException`